#HP Restore in Caves
from eventAPI import *
from APIUtils import *
from SDLKeys import SDLK_y, SDLK_s, SDLK_h, SDLK_l, SDLK_w

lFlagU = 0

def fireEvent(e):
    global lFlagU
    lFlagU = getTag(e, "lFlagU")
    if (lFlagU == 1):
        return 1
    else:
        x, c = 0, getPartyCount(e)
        while (x < c):
            modifyHP(e, x, dice(4, 4, 0))
            x += 1
        setTag(e, "lFlagU", 1)
        return 1
